Bug 447655

Summary: FC9 x86_64 guest crashes after domain creation
Product: [Fedora] Fedora Reporter: Adam Greenberg <moose>
Component: xenAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9CC: berrange, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 12:42:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Log of failed fc9 x86_64 guest creation on fc8. none

Description Adam Greenberg 2008-05-20 20:35:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
I am running fc8 X86_64 with the lastest package updates.  When I try to create an FC9 paravirtualized x86_64 guest, the guest crashes immediately after domain creation.  The process creates only the xen-hotplug.log ("Nothing to flush") and the qemu-dm.7712.log (a vncpasswd error).  The ~/.virt-manager/virt-manager.log contains more information (attached).

Version-Release number of selected component (if applicable):
xen-3.1.2-2.fc8

How reproducible:
Always


Steps to Reproduce:
1. Start virtual manager on an fc8 x86_64 system.
2. Specify an fc9_x86 os url.
3. Specify the other values and click finish.


Actual Results:
The domain build appears to finish but the guest goes immediately to the shutoff state.

Expected Results:
The guest should have started, a console should have opened, and the installation process should begin.

Additional info:
Comment 1 Adam Greenberg 2008-05-20 20:37:51 EDT
Created attachment 306195 [details]
Log of failed fc9 x86_64 guest creation on fc8.
Comment 2 Adam Greenberg 2008-05-20 20:41:36 EDT
When I click run on the shutoff image (in the virtual machine manager) I get
this error:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 472, in run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 379, in startup
    self.vm.create()
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 240, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: virDomainCreate() failed POST operation failed: (xend.err "Boot
loader didn't return any data!")
Comment 3 Adam Greenberg 2008-05-20 20:42:41 EDT
I have successfully created an fc9 x86 paravirtualized guest.
Comment 4 Bug Zapper 2009-06-09 21:03:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:42:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.